Package org.apache.qpid.proton.codec

# Interface TypeEncoding<V>

All Known Subinterfaces:
  `ArrayType.ArrayEncoding`, `BigIntegerType.BigIntegerEncoding`, `BooleanType.BooleanEncoding`, `IntegerType.IntegerEncoding`, `LongType.LongEncoding`, `PrimitiveTypeEncoding<T>`, `StringType.StringEncoding`, `SymbolType.SymbolEncoding`, `UnsignedIntegerType.UnsignedIntegerEncoding`, `UnsignedLongType.UnsignedLongEncoding`

All Known Implementing Classes:
  `ByteType.ByteEncoding`, `CharacterType.CharacterEncoding`, `DoubleType.DoubleEncoding`, `FloatType.FloatEncoding`, `ShortType.ShortEncoding`, `UnsignedByteType.UnsignedByteEncoding`

public interface TypeEncoding<V>

## Method Summary

Modifier and Type
Method
Description
`boolean`
`encodesJavaPrimitive()`
`boolean`
`encodesSuperset(TypeEncoding<V> encoder)`
`int`
`getConstructorSize()`
`AMQPType<V>`
`getType()`
`int`
`getValueSize(V val)`
`boolean`
`isFixedSizeVal()`
`void`
`writeConstructor()`
`void`
`writeValue(V val)`

## Method Details

### getType

AMQPType<V> getType()

### writeConstructor

void writeConstructor()

### getConstructorSize

int getConstructorSize()

### writeValue

void writeValue(V val)

### getValueSize

int getValueSize(V val)

### isFixedSizeVal

boolean isFixedSizeVal()

### encodesSuperset

boolean encodesSuperset(TypeEncoding<V> encoder)

### encodesJavaPrimitive

boolean encodesJavaPrimitive()